Subject: Problem with guix offload: Remote channel closed
From: Mikael Djurfeldt <[email-masked]>
To: [email-masked]
Cc: Mikael Djurfeldt <[email-masked]>
Date: Wed, 18 Mar 2020 20:58:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I just installed guix on top of Debian Buster using the installation script
at guix.gnu.org. I did this on two machines, hat and wand, with the hope
that I could offload compilation to wand.

This is what I get:

root@hat:~# guix offload test
guile: warning: failed to install locale
hint: Consider installing the `glibc-utf8-locales' or `glibc-locales'
package and
defining `GUIX_LOCPATH', along these lines:

     guix package -i glibc-utf8-locales
     export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"

See the "Application Setup" section in the manual, for more info.

guix offload: testing 1 build machines defined in
'/etc/guix/machines.scm'...
guix offload: Guix is usable on 'wand.pdc.kth.se' (test returned
"/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
guix offload: 'wand.pdc.kth.se' is running GNU Guile 3.0.1
sending 1 store item (0 MiB) to 'wand.pdc.kth.se'...
exporting path `/gnu/store/sd0wqvaffi1cbpvf0dq37mab34rmlnav-export-test'
;;; [2020/03/17 12:45:48.671038, 0] write_to_channel_port: [GSSH ERROR]
Remote channel is closed: #<input-output: channel (open) 7f2c1c9831e0>
Backtrace:
           1 (primitive-load "/root/.config/guix/current/bin/guix")
In guix/ui.scm:
  1833:12  0 (run-guix-command _ . _)

guix/ui.scm:1833:12: In procedure run-guix-command:
Throw to key `guile-ssh-error' with args `("write_to_channel_port" "Remote
channel is closed" #<input-output: channel (open) 7f2c1c9831e0> #f)'.

Any hints about what could be wrong?

Best regards,
Mikael Djurfeldt